Add a website
curl --request POST \
--url https://orbitlab.dev/api/v1/hostings/{id}/websites \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>"
}
'import requests
url = "https://orbitlab.dev/api/v1/hostings/{id}/websites"
payload = { "label": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: '<string>'})
};
fetch('https://orbitlab.dev/api/v1/hostings/{id}/websites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}Hostings
Add a website
CLI: orbitlab hostings add-website <id> --template wordpress
POST
/
v1
/
hostings
/
{id}
/
websites
Add a website
Autorisations
bearerAuthsessionCookie
API token (olab_…) created in Settings → API tokens or with orbitlab login.
En-têtes
Organization to act on (id or slug) for tokens that can access several organizations. Defaults to your first organization.
Paramètres de chemin
Hosting id (the hosting order item id).
Corps
application/json
Réponse
serviceId (and databaseId for WordPress).
The response is of type object.
Cette page vous a-t-elle été utile ?